import 'package:flutter/material.dart';
import 'package:backendless_sdk/backendless_sdk.dart'; 
import 'BackendlessChat.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MyHomePage(title: 'Backendless chat demo app'),
    );
  }
}

class MyHomePage extends StatefulWidget {
  MyHomePage({Key key, this.title}) : super(key: key);

  final String title;

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  final myController = new TextEditingController();

  @override
  void initState() {
    super.initState();
    Backendless.initApp(
      "APP-ID", 
      "ANDROID-KEY", 
      "IOS-KEY");
  }

  @override
  void dispose() {
    myController.dispose();
    super.dispose();
  }

  void _onButtonPressed() {
    var login = myController.text;
    _enterChat(login);
  }

  void _enterChat(String login) {
    Navigator.push(
      context,
      MaterialPageRoute(builder: (context) => BackendlessChat(myLogin: login) )
    );
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(
          widget.title,
        ),
      ),
      body: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: <Widget>[
          Align(
            alignment: Alignment.center,
            child: TextField(
              onSubmitted: _enterChat,
              controller: myController,
              decoration: InputDecoration(
                hintText: "Enter your chatname"
              ),
            ),
          ),
          Align(
            alignment: Alignment.center,
            child: RaisedButton(
              onPressed: _onButtonPressed,
              child: Text("Go to chat!"),
            ),
          )
        ],
      )
    );
  }
}
